package dto

import (
	"leafdev.top/Leaf/leaf-library-3/internal/dto/user"
)

// CreateWorkspaceRequest 创建工作空间请求
type CreateWorkspaceRequest struct {
	Name string `json:"name" validate:"required|minLen:1"`
}

// GetWorkspaceRequest 获取工作空间请求
type GetWorkspaceRequest struct {
	ID EntityId `params:"id"`
}

// DeleteWorkspaceRequest 删除工作空间请求
type DeleteWorkspaceRequest struct {
	ID EntityId `params:"id"`
}

// AddWorkspaceMemberRequest 添加工作空间成员请求
type AddWorkspaceMemberRequest struct {
	UserID user.ID `json:"user_id" validate:"required"`
}

// RemoveWorkspaceMemberRequest 移除工作空间成员请求
type RemoveWorkspaceMemberRequest struct {
	WorkspaceID EntityId `params:"id"`
	UserID      string   `params:"user_id"`
}
