package entity

import (
	"gorm.io/gorm"
	"leafdev.top/Leaf/leaf-library-3/internal/dto"
	"leafdev.top/Leaf/leaf-library-3/internal/dto/user"
)

type Workspace struct {
	Model
	Name      string         `json:"name"`
	UserId    user.ID        `json:"user_id"`
	DeletedAt gorm.DeletedAt `json:"deleted_at"`
}

func (*Workspace) TableName() string {
	return "workspaces"
}

type WorkspaceMember struct {
	Model
	WorkspaceId dto.EntityId `json:"workspace_id"`
	UserId      user.ID      `json:"user_id"`
	Workspace   *Workspace   `json:"workspace"`
}

func (*WorkspaceMember) TableName() string {
	return "workspace_members"
}
